﻿Type=Service
Version=1.80
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Dim latitude As String	
	Dim we As String
	Dim ns As String
	Dim longitude As String
	Dim accuracy As String
	Dim altitude As Double
	Dim speed As String
	Dim bearing As String
	
	Dim my_timer As Timer
	
	Dim my_mlp As moclocationprovider
	Dim myrefl As Reflector
	
	Dim Notification1 As Notification
End Sub
Sub Service_Create

	'create a notificationbar entry
    Notification1.Initialize
	Notification1.icon = "icon"
    Notification1.SetInfo("MLP demo","service stoped...",Main)
	
	
	ToastMessageShow("MLP startet service",False)
	
	
	
	'use a timer in this service to 'send' data for the mockLocationProvider - here every 1 second
	my_timer.Initialize("my_Timer",1000)
	
	
End Sub

Sub Service_Start (StartingIntent As Intent)

		
	'refresh the notifyer-entry
	Notification1.SetInfo("MLP demo","service started...",Main)
	Notification1.Sound = False 
	Service.StartForeground(1, Notification1)



	'start the timer ticks
	my_timer.Enabled=True
    
	
End Sub

Sub Service_Destroy
	
	'stop the timer ticks
	my_timer.Enabled=False
	
    'disable the mockLocationProvider in Android-OS
	my_mlp.disableMockProvider(myrefl.GetContext)


	'remove the notifyer entry
	Notification1.AutoCancel=True
	
End Sub


Sub my_timer_Tick
  
  'here you can send your individual position data - i.e. out of list of data, out of bytestream fron bluetooth, usb aso.
  'in this sample we use only one data set for a fixed position
  
  'the minimum TimerI.Interval should not be < 250 miliseconds on a 1 GHz device
  'the moderatest seems to be 1000 miliseconds
  
  my_timer.Enabled=False
  
  latitude="5234.1421"		'lat. as decimal_degrees
  ns="N"					'north-south = NORTH
  longitude="01311.7996"		'long. as decimal_degrees
  we = "E"					'west-east = EAST
  altitude="84.0"				'alt. as meter  		
  speed="0.0"				'speed as km/h
  bearing="75.0"			'cuorse as degrees
  accuracy="2.0"			'accuracy of horizontal position fix in relation to used sattelites position as meter
 
  
  'no we call the lib - public void 'publishMockLocation' with the nec. parms
  my_mlp.publishMockLocation(latitude,ns,longitude,we,altitude,speed,bearing,accuracy,myrefl.GetContext)
  
  'that's all!
  
  my_timer.Enabled=True

End Sub